Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Interface TraceListener

All Known Implementing Classes:
  PrintTraceListener

public interface TraceListener
extends java.util.EventListener

**For advanced use only** Interface the XSL processor calls when it matches a source node, selects a set of source nodes, or generates a result node. If you want an object instance to be called when a trace event occurs, use the TransformerImpl setTraceListener method.

See Also:
  `TracerEvent.java`, `org.apache.xalan.xslt.TransformerImpl#setTraceListener`

Method Summary
`void` | `generated(GenerateEvent ev)` **For advanced use only** Method that is called just after the formatter listener is called.
`void` | `selected(SelectionEvent ev)` **For advanced use only** Method that is called just after the formatter listener is called.
`void` | `trace(TracerEvent ev)` **For advanced use only** Method that is called when a trace event occurs.

Method Detail

### trace

    public void trace(TracerEvent ev)

  **For advanced use only** Method that is called when a trace event occurs. The method is blocking. It must return before processing continues.
  Parameters:
    `ev` - the trace event.

### selected

    public void selected(SelectionEvent ev)
                  throws SAXException

  **For advanced use only** Method that is called just after the formatter listener is called.
  Parameters:
    `ev` - the generate event.

### generated

    public void generated(GenerateEvent ev)

  **For advanced use only** Method that is called just after the formatter listener is called.
  Parameters:
    `ev` - the generate event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.